package fslog

import (
	"go.uber.org/zap/zapcore"
	"io"
)

type CoreContext struct {
	zapcore.Core
	io.Writer
}

type coreContexts []CoreContext

func (c coreContexts) Cores() []zapcore.Core {
	cores := make([]zapcore.Core, len(c))
	for i, core := range c {
		cores[i] = core.Core
	}
	return cores
}
